/* ===========================
   Pantallas grandes (≥ 75em ≈ 1200px)
   =========================== */
@media (min-width: 75em) {
  .container {
    max-width: 120rem;
  }

  .item {
    width: 350px;
  }
}

/* ===========================
   Laptops (≤ 64em ≈ 1024px)
   =========================== */
@media (max-width: 64em) {
  /* SERVICIOS */
  .grid--3-cols-servicios {
    grid-template-columns: 1fr 1fr;
  }

  /* PREG-FRECUENTES */
  .grid--2-cols-pf {
    grid-template-columns: 1fr 1fr;
  }

  /* FOOTER */
  .datos {
    grid-template-columns: 1fr 1fr;
  }
}

/* ===========================
   Tablets (≤ 48em ≈ 768px)
   =========================== */
@media (max-width: 48em) {
  /* NAVBAR */

  .logo--main-navbar {
    height: 2.4rem;
  }

  /* HERO */
  .main-title {
    font-size: 1.8rem;
  }

  .descrip-text {
    font-size: 0.8rem;
  }

  .cta-btn {
    padding: 0.6rem;
    border-radius: 9px;
    font-size: 0.8rem;
  }

  .btn-content {
    display: flex;
    align-items: center;
  }

  /*NOS*/

  .img-nos {
    height: 16rem;
  }

  /* SERVICIOS */

  .servs-title {
    font-size: 2rem;
  }

  .grid--3-cols-servicios {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  /* CTA-FORMS */

  .cta--forms-title {
    font-size: 1.6rem;
  }

  .form-row {
    flex-direction: column;
    gap: 1rem;
  }
  .form {
    padding: 2rem;
  }

  .form-title {
    font-size: 1.4rem;
  }

  .btn--form {
    font-size: 0.9rem;
    padding: 0.8rem;
  }

  /* SLIDER */
  .empresa-img {
    height: 3rem;
  }

  /* FOOTER */
  .datos {
    grid-template-columns: 1fr 1fr;
  }
}

/*710px*/
@media (max-width: 44.375em) {
  html,
  body {
    overflow-x: hidden;
  }

  /* NAVBAR*/
  .nav-links {
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2.4rem;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(19, 19, 19, 0.8);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(0.5px);
    z-index: 999;
    opacity: 0;
    transform: translateY(-100%);
    pointer-events: none;
    transition: all 0.4s ease;
  }

  .nav-links.active {
    display: flex;
    opacity: 1;
    transform: translateY(0);
    pointer-events: all;
  }

  .nav-links a {
    font-size: 1.8rem;
    font-weight: 700;
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
  }

  .nav-links a:hover {
    color: #e67e22;
  }

  .menu-toggle {
    display: block;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 2.4rem;
    color: #e67e22;
    z-index: 1000;
  }
  .container,
  .hero,
  .nos-section,
  .servicios,
  .cta-forms,
  .preg-frecuentes,
  .footer {
    padding-left: 1.6rem;
    padding-right: 1.6rem;
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
  }

  .img-qs {
    margin-bottom: 4.4rem;
  }

  /******************************************************************************************/

  /*SLIDER*/

  .empresas-title {
    font-size: 1.2rem;
    padding-bottom: 2.4rem;
    color: #e67e22;
  }

  .empresas-imgs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    place-items: center;
    column-gap: 0;
  }

  .empresa-img {
    height: 3rem;
  }

  /******************************************************************************************/

  .grid,
  .grid--3-cols-servicios,
  .grid--2-cols-pf,
  .datos {
    grid-template-columns: 1fr;
  }

  /******************************************************************************************/

  /*SERVICIOS*/

  .servs-title {
    padding-bottom: 3.6rem;
    font-size: 2.2rem;
  }

  .item {
    width: 350px;
    height: 150px;
    padding: 1rem;
    margin: 0 auto;
    text-align: center;
    font-size: 1.2rem;
    perspective: 1000px;
  }

  .item-inner {
    width: 100%;
    max-width: 100%;
    height: 100%;
    position: relative;
    transition: transform 0.6s;
    transform-style: preserve-3d;
  }

  .descrip-servs {
    font-size: 0.8rem;
    padding: 1.4rem;
  }

  /******************************************************************************************/

  img {
    max-width: 100%;
    height: auto;
    display: block;
  }

  .preguntas {
    width: 100%;
  }

  .form {
    max-width: 100%;
    width: 100%;
  }
}

/* ===========================
   Teléfonos  (≤ 30em ≈ 480px)
   =========================== */
@media (max-width: 30em) {
  /* GENERAL */
  .container {
    padding: 0 1.6rem;
  }

  /* NAVBAR */
  .nav-links {
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2.4rem;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(19, 19, 19, 0.8);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(0.5px);
    z-index: 999;
    opacity: 0;
    transform: translateY(-100%);
    pointer-events: none;
    transition: all 0.4s ease;
  }

  .nav-links.active {
    display: flex;
    opacity: 1;
    transform: translateY(0);
    pointer-events: all;
  }

  .nav-links a {
    font-size: 1.8rem;
    font-weight: 700;
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
  }

  .nav-links a:hover {
    color: #e67e22;
  }

  .menu-toggle {
    display: block;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 2rem;
    color: #e67e22;
    z-index: 1000;
  }

  /* HERO */
  .main-title {
    font-size: 1.4rem;
  }

  .aliados-text {
    font-size: 0.8rem;
  }

  .descrip-text {
    font-size: 0.8rem;
  }
  .cta-btn {
    font-size: 0.9rem;
    padding: 0.6rem;
  }

  /* NOS */
  .grid {
    grid-template-columns: 1fr;
    row-gap: 2rem;
  }

  .nos-subtitle {
    font-size: 1.2rem;
  }

  .img-nos {
    height: 12rem;
  }

  .img-qs {
    margin-bottom: 4.4rem;
  }

  /* SLIDER */

  .empresas-title {
    font-size: 0.8rem;
  }

  .empresas-imgs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2.8rem;
  }

  .empresa-img {
    height: 3rem;
  }

  /******************************************************************************************/

  /*SERVICIOS*/

  .servs-title {
    padding-bottom: 3.6rem;
    font-size: 2.2rem;
  }

  .item {
    width: 350px;
    height: 150px;
    padding: 1rem;
    margin: 0 auto;
    text-align: center;
    font-size: 1.2rem;
    perspective: 1000px;
  }

  .item-inner {
    width: 100%;
    max-width: 100%;
    height: 100%;
    position: relative;
    transition: transform 0.6s;
    transform-style: preserve-3d;
  }

  .descrip-servs {
    font-size: 0.8rem;
    padding: 1.4rem;
  }

  /******************************************************************************************/

  /* CTA-FORMS */
  .form-row {
    flex-direction: column;
    gap: 1rem;
  }
  .form {
    padding: 2rem;
  }
  .form-title {
    font-size: 1.4rem;
  }
  .btn--form {
    font-size: 0.9rem;
    padding: 0.8rem;
  }

  /* PREG-FRECUENTES */
  .grid--2-cols-pf {
    grid-template-columns: 1fr;
    column-gap: 2.6rem;
  }

  .pf-title {
    font-size: 1rem;
  }

  .contenedor-pregunta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .preguntas {
    width: 100%;
  }

  .preguntas li {
    font-size: 0.8rem;
  }

  .pregs-icon {
    font-size: 1rem;
    padding: 0.2rem;
  }

  /* FOOTER */
  .datos {
    grid-template-columns: 1fr;
    gap: 2rem;
  }
  .logo-footer {
    height: 2.6;
  }
  .logo-cams {
    height: 2.2rem;
    margin-bottom: 1rem;
  }

  .logo-cams--1 {
    height: 3.2rem;
    margin-bottom: 1rem;
  }
}
